Fundraising
Read a donor giving-anniversary summary
Returns canonical milestone signals and up to ten readable opportunities for this donor. Shared household/relationship evidence is exposed only when the viewer can read the whole subject. Requires permission: one of donors_view.
GET
/
admin
/
donors
/
{donor_id}
/
giving-anniversaries
Read a donor giving-anniversary summary
curl --request GET \
--url https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"signals": [
{
"donor_id": 42,
"household_id": 42,
"source_id": 42,
"donor_name": "Example",
"donor_email": "Example",
"milestone_label": "Example",
"source_type": "Example",
"source_currency": "Example",
"source_designation": "Example",
"source_program": "Example",
"milestone_type": "first_gift",
"source_date": "2026-10-20",
"years_giving": 3,
"source_amount": 25,
"evidence": {},
"readiness": {
"contact_required": true,
"email_ready": true,
"sms_ready": true,
"mailing_ready": true,
"calendar_ready": true,
"do_not_email": true,
"email": "Example",
"phone": "Example",
"reasons": [
"Missing complete mailing address"
]
},
"suggested_actions": [
{
"key": "Example",
"label": "Example",
"enabled": true,
"disabled_reason": "Example"
}
],
"next_anniversary_date": "2026-10-20",
"next_anniversary_year": 2,
"leap_day_adjusted": true,
"source_confidence": "Example"
}
],
"opportunities": [
{
"id": 42,
"client_id": 42,
"donor_id": 42,
"household_id": 42,
"subject_id": 42,
"action_contact_donor_id": 42,
"source_id": 42,
"owner_user_id": 42,
"acted_by_user_id": 42,
"dismissed_by_user_id": 42,
"subject_name": "Example",
"action_contact_name": "Example",
"donor_name": "Example",
"donor_email": "Example",
"work_item_type": "Example",
"milestone_label": "Example",
"source_type": "Example",
"source_currency": "Example",
"source_designation": "Example",
"source_program": "Example",
"last_action_note": "Example",
"subject_type": "donor",
"milestone_type": "first_gift",
"status": "due",
"source_date": "2026-10-20",
"anniversary_date": "2026-10-20",
"last_attributed_gift_date": "2026-10-20",
"anniversary_year": 3,
"years_giving": 3,
"giving_gap_years": 3,
"source_amount": 25,
"source_snapshot": {},
"evidence": {},
"readiness": {
"contact_required": true,
"email_ready": true,
"sms_ready": true,
"mailing_ready": true,
"calendar_ready": true,
"do_not_email": true,
"email": "Example",
"phone": "Example",
"reasons": [
"Missing complete mailing address"
]
},
"suggested_actions": [
{
"key": "Example",
"label": "Example",
"enabled": true,
"disabled_reason": "Example"
}
],
"lifecycle": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
],
"detected_at": "2026-10-20T12:00:00Z",
"acted_at": "2026-10-20T12:00:00Z",
"snoozed_until": "2026-10-20T12:00:00Z",
"dismissed_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"events": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
]
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Donor id in the current organization.
⌘I
Read a donor giving-anniversary summary
curl --request GET \
--url https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/donors/{donor_id}/giving-anniversaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"signals": [
{
"donor_id": 42,
"household_id": 42,
"source_id": 42,
"donor_name": "Example",
"donor_email": "Example",
"milestone_label": "Example",
"source_type": "Example",
"source_currency": "Example",
"source_designation": "Example",
"source_program": "Example",
"milestone_type": "first_gift",
"source_date": "2026-10-20",
"years_giving": 3,
"source_amount": 25,
"evidence": {},
"readiness": {
"contact_required": true,
"email_ready": true,
"sms_ready": true,
"mailing_ready": true,
"calendar_ready": true,
"do_not_email": true,
"email": "Example",
"phone": "Example",
"reasons": [
"Missing complete mailing address"
]
},
"suggested_actions": [
{
"key": "Example",
"label": "Example",
"enabled": true,
"disabled_reason": "Example"
}
],
"next_anniversary_date": "2026-10-20",
"next_anniversary_year": 2,
"leap_day_adjusted": true,
"source_confidence": "Example"
}
],
"opportunities": [
{
"id": 42,
"client_id": 42,
"donor_id": 42,
"household_id": 42,
"subject_id": 42,
"action_contact_donor_id": 42,
"source_id": 42,
"owner_user_id": 42,
"acted_by_user_id": 42,
"dismissed_by_user_id": 42,
"subject_name": "Example",
"action_contact_name": "Example",
"donor_name": "Example",
"donor_email": "Example",
"work_item_type": "Example",
"milestone_label": "Example",
"source_type": "Example",
"source_currency": "Example",
"source_designation": "Example",
"source_program": "Example",
"last_action_note": "Example",
"subject_type": "donor",
"milestone_type": "first_gift",
"status": "due",
"source_date": "2026-10-20",
"anniversary_date": "2026-10-20",
"last_attributed_gift_date": "2026-10-20",
"anniversary_year": 3,
"years_giving": 3,
"giving_gap_years": 3,
"source_amount": 25,
"source_snapshot": {},
"evidence": {},
"readiness": {
"contact_required": true,
"email_ready": true,
"sms_ready": true,
"mailing_ready": true,
"calendar_ready": true,
"do_not_email": true,
"email": "Example",
"phone": "Example",
"reasons": [
"Missing complete mailing address"
]
},
"suggested_actions": [
{
"key": "Example",
"label": "Example",
"enabled": true,
"disabled_reason": "Example"
}
],
"lifecycle": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
],
"detected_at": "2026-10-20T12:00:00Z",
"acted_at": "2026-10-20T12:00:00Z",
"snoozed_until": "2026-10-20T12:00:00Z",
"dismissed_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"events": [
{
"event_type": "Example",
"user_id": 42,
"payload": {},
"created_at": "2026-10-20T12:00:00Z"
}
]
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}